# Rand.h File Reference

[Internal] Random number generator More...

`#include "Export.h"`

## Functions
void RAK_DLL_EXPORT | seedMT (unsigned int seed)
unsigned int RAK_DLL_EXPORT | randomMT (void)
float RAK_DLL_EXPORT | frandomMT (void)
void RAK_DLL_EXPORT | fillBufferMT (void *buffer, unsigned int bytes)

## Detailed Description

[Internal] Random number generator

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.

## Function Documentation

void RAK_DLL_EXPORT fillBufferMT | ( | void * | buffer,
|  | unsigned int | bytes |
| ) |  |  |

Randomizes a buffer

Note:
  not threadSafe, use an instance of RakNetRandom if necessary per thread

float RAK_DLL_EXPORT frandomMT | ( | void |  | ) |

Gets a random float

Note:
  not threadSafe, use an instance of RakNetRandom if necessary per thread

Returns:
  0 to 1.0f, inclusive

unsigned int RAK_DLL_EXPORT randomMT | ( | void |  | ) |

Gets a random unsigned int

Note:
  not threadSafe, use an instance of RakNetRandom if necessary per thread

Returns:
  an integer random value.

void RAK_DLL_EXPORT seedMT | ( | unsigned int | seed | ) |

Initialise seed for Random Generator

Note:
  not threadSafe, use an instance of RakNetRandom if necessary per thread

Parameters:

  `[in]` | seed | The seed value for the random number generator.